Rated 5 out of 5 stars

Please, please, please make compatible with FF 4.

Thank you kindly.